#

Name:           mellowplayer
Version:        3.6.8
Release:        %mkrel 1
Summary:        Another audio music player
License:        GPL-3.0-or-later
Group:          Sound
URL:            https://github.com/ColinDuquesnoy/MellowPlayer
Source0:	    MellowPlayer-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: lib64boost-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64x11-devel
BuildRequires: libstdc++-devel
BuildRequires: libxcb-devel
BuildRequires: make 
BuildRequires: mesa-devel

Requires: qtwebengine5
Requires: qtquickcontrols25
Requires: qtquickcontrols5
Requires: qtwebchannel5

%description
*MellowPlayer* is a **free**, **open source** and **cross-platform** desktop application
that runs **web-based music streaming services** in its own window and
provides **integration with your desktop** (hotkeys, multimedia keys, system tray,
notifications and more).

%prep
%setup -qn MellowPlayer-%{version}

%build
%cmake_kf5 -DCMAKE_BUILD_TYPE=Release
%make

%install
%make_install -C build

 desktop-file-install --vendor="" \
 --remove-category='AudioVideo' \
 --remove-category='Player' \
 --remove-category='Audio' \
 --add-category='X-MandrivaLinux-Multimedia-Sound' \
 %{buildroot}%{_datadir}/applications/*.desktop


%files
%{_bindir}
%{_datadir}

%post
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''


%changelog
* Mon Oct 24 2022 tex - 3.6.8-1pclos2022
- new version

* Mon Oct 24 2022 tex - 3.6.0-2pclos2022
- rebuild against updates

* Tue Apr 28 2020 tex - 3.6.0-1pclos2020
- new version

* Sun May 26 2019 tex - 3.5.4-2pclos2019
- rebuild against updates

* Sat May 26 2019 tex - 3.5.4-1pclos2019
- new version
